/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.registry.jdbc.queries;

import org.wso2.registry.RegistryConstants;

import java.util.HashMap;
import java.util.Map;

public class QueryProcessorFactory {

    private Map queryProcessors = new HashMap();

    public QueryProcessorFactory() {
        queryProcessors.put(RegistryConstants.SQL_QUERY_MEDIA_TYPE, new SQLQueryProcessor());
    }

    public QueryProcessor getQueryProcessor(String queryType) {

        QueryProcessor queryProcessor = (QueryProcessor) queryProcessors.get(queryType);        
        return queryProcessor;
    }
}
